
// ShowJPics.java
// Andrew Davison, March 2011, ad@fivedots.psu.ac.th

/* Show a sequence of images snapped from a webcam, using JMF.

   Usage:
      > java ShowJPics
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


public class ShowJPics extends JFrame 
{
  private JPicsPanel pp;

  public ShowJPics()
  {
    super( "Show JMF Capture Pics" );
    Container c = getContentPane();
    c.setLayout( new BorderLayout() );   

    pp = new JPicsPanel(this); // the sequence of snaps appear here
    c.add( pp, "Center");

    addWindowListener( new WindowAdapter() {
      public void windowClosing(WindowEvent e)
      { pp.closeDown();    // stop snapping pics
        System.exit(0);
      }
    });

    pack();  
    setResizable(false);
    setLocationRelativeTo(null);
    setVisible(true);
  } // end of ShowJPics()


  public static void main( String args[] )
  {  new ShowJPics();  }

} // end of ShowJPics class
